/*
 * main.c
 *
 * Created: 9/16/2023 11:16:16 AM
 *  Author: controllerstech
 */ 

#define F_CPU 5000000
#include <xc.h>
#include <util/delay.h>

void clkInit(void)
{
	_PROTECTED_WRITE(CLKCTRL.MCLKCTRLA, 0);  // Internal 20MHz OSC, CLKOUT=0
	_PROTECTED_WRITE(CLKCTRL.MCLKCTRLB, 0x03);  // PEN=1, DIV=4
	while ((CLKCTRL.MCLKSTATUS & (1<<4)) == 0);  // wait for the osc to stabilize.
}

int main(void)
{
	clkInit();
	PORTC.DIR |= (1<<0);   //Set PC0 as Output
//	PORTC.DIRSET = (1<<0);  //Set PC0 as Output
    while(1)
    {
//		PORTC.OUT |= 1<<0;
//		_delay_ms(1000);
//		PORTC.OUT &= ~(1<<0);
//		_delay_ms(1000);

		
		PORTC.OUTSET = 1<<0;
		_delay_ms(1000);
		PORTC.OUTCLR = 1<<0;
		_delay_ms(1000);
		
//		PORTC.OUTTGL = 1<<0;
//		_delay_ms(1000);
		
    }
}